package com.capgemini.reports.exceptions;

import com.capgemini.framework.teamcenter.exceptions.KurtException;

/**
 * Exception générée lorsqu'il manque des paramètres à une requète.
 * 
 */
public class InsufficientParametersException extends KurtException {

    private static final long serialVersionUID = 148136358620949560L;

    /**
     * Constructor.
     * 
     * @param aMessage Error message
     */
    public InsufficientParametersException(String aMessage) {
        super(aMessage);
    }

    /**
     * Constructor.
     * 
     * @param aMessage Error message
     * @param anException Original exception
     */
    public InsufficientParametersException(String aMessage, Throwable anException) {
        super(aMessage, anException);
    }

}
